org.apache.ignite.internal.processors.cache.transactions

## Interface TransactionProxy

All Superinterfaces:
  AutoCloseable, IgniteAsyncSupport, Transaction

All Known Implementing Classes:
  TransactionProxyImpl, TransactionProxyRollbackOnlyImpl

    public interface TransactionProxy
    extends Transaction

Marker interface for transaction proxy.

### Method Summary

### Methods inherited from interface org.apache.ignite.transactions.Transaction

`close, commit, commitAsync, concurrency, implicit, isInvalidate, isolation, isRollbackOnly, label, nodeId, resume, rollback, rollbackAsync, setRollbackOnly, startTime, state, suspend, threadId, timeout, timeout, xid`

### Methods inherited from interface org.apache.ignite.lang.IgniteAsyncSupport

`future, isAsync, withAsync`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018